﻿-- Script was generated by Devart dbForge Studio for MySQL, Version 6.0.128.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 18/09/2018 10:20:32
-- Server version: 5.5.5-10.1.32-MariaDB
-- Client version: 4.1

--
-- Definition for database practica1
--
DROP DATABASE IF EXISTS practica1;
CREATE DATABASE practica1
	CHARACTER SET latin1
	COLLATE latin1_swedish_ci;

-- 
-- Disable foreign keys
-- 
-- /*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;  DESCOMENTAR SI NO FUNCIONA

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

-- 
-- Set default database
--
USE practica1;

--
-- Definition for table autores
--
CREATE TABLE autores (
  id INT(11) NOT NULL AUTO_INCREMENT,
  autor VARCHAR(50) NOT NULL,
  listado VARCHAR(300) DEFAULT NULL,
  fecha TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  foto VARCHAR(20) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 4
AVG_ROW_LENGTH = 8192
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Definition for table libros
--
CREATE TABLE libros (
  id INT(11) NOT NULL AUTO_INCREMENT,
  titulo VARCHAR(50) NOT NULL,
  mensaje VARCHAR(300) DEFAULT NULL,
  fecha TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  foto VARCHAR(20) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 4
AVG_ROW_LENGTH = 8192
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table autores
--
INSERT INTO autores VALUES
(1, 'Autor 1', 'Listado 1', '2018-09-17 14:13:10', '1.jpg'),
(2, 'Autor 2', 'Listado 2', '2018-09-17 14:13:25', '2.jpg'),
(3, 'Autor 3', 'Listado 3', '2018-09-17 14:13:41', '3.jpg');

-- 
-- Dumping data for table libros
--
INSERT INTO libros VALUES
(1, 'Libro 1', 'Mensaje 1', '2018-09-17 14:12:10', '1.jpg'),
(2, 'Libro 2', 'Mensaje 2', '2018-09-17 14:12:40', '2.jpg'),
(3, 'Libro 3', 'Mensaje 3', '2018-09-17 14:12:57', '3.jpg');

-- 
-- Enable foreign keys
-- 
-- /*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;   DESCOMENTAR SI NO FUNCIONA